none
.net core install failing on ubuntu RRS feed

  • Question

  • I'm excited to get the .net core system working on ubuntu but to say its not going well just getting it installed is an understatement...  I was able to get it running on Ubuntu 17.04 GUI version just fine.  However, with 17.04 server i'm having all sorts of problems.  When I try to install dotnet-dev-1.0.4 it says

    myadmin@hadoopnode0:~$ sudo apt-get install dotnet-dev-1.0.4
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
     dotnet-dev-1.0.4 : Depends: dotnet-sharedframework-microsoft.netcore.app-1.1.2 but it is not installable
    E: Unable to correct problems, you have held broken packages.
    myadmin@hadoopnode0:~$

    I found a web page that talks about similar problems (https://shazwazza.com/post/installing-net-core-101-on-ubuntu-1610/) but after following all the steps successfully it still says there is a problem.

    any ideas?  This is frustrating...

    Wednesday, May 10, 2017 7:05 PM

All replies

  • Hi Alltium,

    This forum discusses and asks questions about .NET Framework Base Classes, Since your issue is move related to .net core installation, I would suggest that you could post the issue on Ubuntu support web for suitable support.

    Thanks for your understanding.

    Best regards,

    Cole Wu


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    Thursday, May 11, 2017 6:06 AM
  • Hi Cole, this is about installing the microsoft .net core system.  Is there a forum that would be more appropriate?  My apologies if this isn't the right forum.
    Friday, May 12, 2017 12:23 AM
  • Actually, although .NET Core is not part of BCL, I think this forum is appropriate because it's afterall a Microsoft framework for .NET.

    Just that somehow I think those responsible for it's development will not see it here. (Maybe we need a separate forum for this topic.)

    Btw, try file an issue with their GitHub site and see if they can do something for you. Also check the list of other locations they can get help from.


    EDIT: The relevant issue is here. Before they're fixing it, you may try to manually install the missing package, or just install 1.0.3 instead.
    • Edited by cheong00 Friday, May 12, 2017 2:06 AM
    Friday, May 12, 2017 1:57 AM